/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebGridToolbarBaseActionDescription } from "./WebGridToolbarBaseActionDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebBaseToolbarDirectiveDescription = /*@__PURE__*/ (() => {
    class WebBaseToolbarDirectiveDescription extends WebGridToolbarBaseActionDescription {
        constructor() {
            super();
            this.k = null;
            this.p = null;
            this.o = null;
            this.g = null;
            this.n = null;
            this.m = null;
            this.j = null;
            this.i = null;
            this.l = null;
        }
        get_type() {
            return "WebBaseToolbarDirective";
        }
        get columnListHeight() {
            return this.k;
        }
        set columnListHeight(a) {
            this.k = a;
            this.e("ColumnListHeight");
        }
        get title() {
            return this.p;
        }
        set title(a) {
            this.p = a;
            this.e("Title");
        }
        get prompt() {
            return this.o;
        }
        set prompt(a) {
            this.o = a;
            this.e("Prompt");
        }
        get overlaySettings() {
            return this.g;
        }
        set overlaySettings(a) {
            this.g = a;
            this.e("OverlaySettings");
        }
        get openingRef() {
            return this.n;
        }
        set openingRef(a) {
            this.n = a;
            this.e("OpeningRef");
        }
        get openedRef() {
            return this.m;
        }
        set openedRef(a) {
            this.m = a;
            this.e("OpenedRef");
        }
        get closingRef() {
            return this.j;
        }
        set closingRef(a) {
            this.j = a;
            this.e("ClosingRef");
        }
        get closedRef() {
            return this.i;
        }
        set closedRef(a) {
            this.i = a;
            this.e("ClosedRef");
        }
        get columnToggleRef() {
            return this.l;
        }
        set columnToggleRef(a) {
            this.l = a;
            this.e("ColumnToggleRef");
        }
    }
    WebBaseToolbarDirectiveDescription.$t = /*@__PURE__*/ markType(WebBaseToolbarDirectiveDescription, 'WebBaseToolbarDirectiveDescription', WebGridToolbarBaseActionDescription.$);
    return WebBaseToolbarDirectiveDescription;
})();
